API Documentation
Toggle TOC panel
<access-service>/api/v1/users/me

URL structure

1 https://access-service.xy-company.com/api/v1/users/me

Supported methods and overview

  • GET - used to retrieve information about the currently authenticated Covata user*.
  • PUT - used to modify the account details of the currently authenticated Covata user.

Note: The GET method takes no parameters.

Detailed description

This API endpoint serves a number of purposes:

  • Retrieves a detailed set of information about the currently authenticated Covata user*.
  • Modifies the account details of the currently authenticated Covata user.
    Note: These account details can also be modified through the My Account feature of the Safe Share web application.

Supported roles and conditions

This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide) and conditions:

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6

The following header is required if the body of the request has a JSON object:

  • Content-Type: application/json

Optional parameters

The following parameters can also be sent in the body of the PUT request, each as individual members of a JSON object:

  • firstName - .
  • lastName - .
  • otherName - .
  • mobileNumber - .

    Example ():

Although specifying none of the parameters above in a PUT request serves no purpose, an empty JSON object must at least be passed in the body of PUT requests to this endpoint for a successful response:

  • {}

Returns

A JSON-formatted response containing the following members:

  • externalUserId - .
  • email - .
  • firstName - .
  • lastName - .
  • otherName - .
  • mobileNumber - .
  • plan - .
    • name - .
    • description - .
    • quota - .
  • notificationFrequency - .
  • lastLoginIp - .
  • lastLoginClient - .
  • id - .
  • lastLoginTime - .
  • accountType - .
  • roles - .

    Example (response from ...):

* The currently authenticated user is determined by the access token passed in the header of requests to this endpoint.